module dados_rhg

! Objetivos: definir as variáveis globais do código, 

! Versão atual:  25 Jun 09

!-------------------------------------------------

use portlib

implicit none

integer :: itg_rhg     ! número da iteração geral do RHG
integer :: itg_rhg_max ! número máximo de iterações gerais do RHG
integer :: itg_rhg_par ! número máximo de iterações gerais do RHG

real*8  :: tcpu_can    ! tempo de processamento (canal)
real*8  :: tcpu_can1   ! tempo de processamento inicial (canal)
real*8  :: tcpu_can2   ! tempo de processamento final   (canal)
real*8  :: tcpu_mach   ! tempo de processamento (mach2d)
real*8  :: tcpu_mach1  ! tempo de processamento inicial (mach2d)
real*8  :: tcpu_mach2  ! tempo de processamento final   (mach2d)
real*8  :: tcpu_tot    ! tempo de cpu total

end module dados_rhg